CREATE procedure [C6Staging].[RP_ST_MappaturaPT] as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_MappaturaPT',
		GETDATE(),
		'Elaborazione giornaliera'
	)
	truncate table c6staging.RP_MappaturaPT
	insert into c6staging.RP_MappaturaPT
	--select * into c6staging.RP_MappaturaPT from [CONSUNI].[ConsulenzaUnica].dbo.MappaturaPT
	select * from [CONSUNI].[ConsulenzaUnica].dbo.MappaturaPT
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_MappaturaPT' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_MappaturaPT'
		)
end